EDIT - feature request #6483

Restructure "Show view" and bulk editor menu
03/09/2017 02:09 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal

Description

Related issues:

Related to EDIT - bug #6498: Refactor dynamic bulk editor menu into a declara... New
Has duplicate EDIT - task #6271: Move user and user groups from bulk editor m... Duplicate
Is duplicate of EDIT - task #6474: Move Specimen-Editor to bulk editor menu Duplicate

Associated revisions

Revision 5e008e49 - 03/09/2017 02:09 PM - Patrick Plitzner

fix #6483 Restructure view and bulk editor menu

e move specimen editor (hierarchy) to bulk editor menu
¢ move user and group menu item to admin menu

History

#1 - 03/09/2017 02:09 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|5e008e493bbb4aeb2da462b3e5978dff82280f1e.

#2 - 03/09/2017 02:09 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

#3 - 03/09/2017 03:39 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Looks good.
Can we still add separators in Admin menu to separate the user management menu items from others?

Also use capital letters for both "Bulk" and "Hierarchie" (or if you prefer for none). | only checked German version but please also handle English
version consistent if necessary.

#4 - 03/09/2017 03:41 PM - Andreas Miller

Also we could move "Media" down in the menu as it is less important than specimen.

#5 - 03/10/2017 11:28 AM - Andreas Miiller

- Has duplicate task #6271: Move user and user groups from bulk editor menu to Admin menu added

#6 - 03/10/2017 01:14 PM - Patrick Plitzner
- Is duplicate of task #6474: Move Specimen-Editor to bulk editor menu added

#7 - 03/10/2017 02:05 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller
Moving media down unfortunately is not that easy because the bulk editor menu is dynamic making it hard to reference the items within the menu
from other extension points.
| propose we close this ticket and if we have time we can maybe refactor the bulk editor menu to be declarative.

#8 - 03/10/2017 03:08 PM - Andreas Miiller

Ok. Can you close this ticket and open the new one for refactoring?

#9 - 03/10/2017 03:09 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

#10 - 03/13/2017 12:02 PM - Patrick Plitzner

- Related to bug #6498: Refactor dynamic bulk editor menu into a declarative one added

#11 - 03/13/2017 12:05 PM - Patrick Plitzner
- Status changed from Feedback to Closed
